{ pkgs, username, ... }: {

    services.greetd = {
        enable = true;
        settings = {
            default_session = {
                command = "Hyprland --config ";
            };
        };
    };

    programs.regreet = {
        enable = true;
        settings = {
            background = {
                path = "Pictures/Wallpapers/lucy.jpg";
                fit = "Contain";
            };

            env = {};

            GTK = {
                application_prefer_dark_theme = true;
                cursor_theme_name = "Adwaita";
                font_name = "Cantarell 16";
                icon_theme_name = "Adwaita";
                theme_name = "Adwaita";
            };

            commands = {
                reboot = ["systemctl" "reboot"];
                poweroff = ["systemctl" "poweroff"];
                x11_prefix = ["startx" "/usr/bin/env"];
            };

            widget.clock = {
                format = "%A %d.%m.%Y %T"; # Sunday 30.03.2025 11:25:17
                resolution = "500ms";
                timezone = "Europe/Berlin";
                label_width = 150;
            };
        };
    };
}
